lev.gui

## Class JAutoTextField.AutoDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - lev.gui.JAutoTextField.AutoDocument

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document
  Enclosing class:
    JAutoTextField

      protected class JAutoTextField.AutoDocument
      extends javax.swing.text.PlainDocument

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JAutoTextField.AutoDocument()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insertString(int i, java.lang.String s, javax.swing.text.AttributeSet attributeset)`
    `void` | `remove(int i, int j)`
    `void` | `replace(int i, int j, java.lang.String s, javax.swing.text.AttributeSet attributeset)`

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, removeDocumentListener, removeUndoableEditListener, render, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAutoTextField.AutoDocument

          protected JAutoTextField.AutoDocument()

  - ### Method Detail

    - #### replace

          public void replace(int i,
                     int j,
                     java.lang.String s,
                     javax.swing.text.AttributeSet attributeset)
                       throws javax.swing.text.BadLocationException

      Overrides:
        `replace` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### insertString

          public void insertString(int i,
                          java.lang.String s,
                          javax.swing.text.AttributeSet attributeset)
                            throws javax.swing.text.BadLocationException

      Specified by:
        `insertString` in interface `javax.swing.text.Document`
      Overrides:
        `insertString` in class `javax.swing.text.PlainDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### remove

          public void remove(int i,
                    int j)
                      throws javax.swing.text.BadLocationException

      Specified by:
        `remove` in interface `javax.swing.text.Document`
      Overrides:
        `remove` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`